SND_SOC_JACK_ADD_GPI(9)

NAME
snd_soc_jack_add_gpios - Associate GPIO pins with an ASoC jack

SYNOPSIS

int snd_soc_jack_add_gpios(struct snd_soc_jack * jack, int count, struct snd_soc_jack_gpio * gpios);

ARGUMENTS

jack
    ASoC jack

count
    number of pins

gpios
    array of gpio pins

DESCRIPTION

This function will request gpio, set data direction and request irq for each gpio in the array.

COPYRIGHT